> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Validate a list of messages > Validates a list of messages for the following functionality: checks that the message is valid (InvalidObjectError -> objecttype message), checks that the message does not contain any invalid content store items, checks that the message does not use archived Attributes (InvalidObjectError -> objecttype attribute).
Request body example:

["1800249570","1800202306"]
## OpenAPI ````json POST /message/validateList { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/message/validateList": { "post": { "tags": [ "Message" ], "summary": "Validate a list of messages", "description": "Validates a list of messages for the following functionality: checks that the message is valid (InvalidObjectError -> objecttype message), checks that the message does not contain any invalid content store items, checks that the message does not use archived Attributes (InvalidObjectError -> objecttype attribute).
Request body example:

[\"1800249570\",\"1800202306\"]
", "operationId": "validateList", "requestBody": { "content": { "application/json": { "schema": { "type": "array", "items": { "type": "integer", "format": "int64" } } } }, "x-bodyName": "body" }, "responses": { "200": { "description": "Example response:

[{
\"entityId\": 1800249570,
\"errorCode\": \"ARCHIVED_ATTRIBUTE\",
\"errorMessage\": \"Message contains archived attribute(s) user.CustomAttribute.Attribute1\"
}, {
\"entityId\": 1800202306,
\"errorCode\": null,
\"errorMessage\": null
}]", "content": { "application/octet-stream": { "schema": { "$ref": "#/components/schemas/MethodResult" } } } }, "400": { "description": "", "content": { "application/octet-stream": {} } } } } } }, "components": { "schemas": { "MethodResult": { "type": "object", "properties": { "entityId": { "type": "integer", "format": "int64" }, "errorCode": { "enum": [ "ARCHIVED_ATTRIBUTE", "BLACKLISTED", "INCORRECT_STATUS", "INVALID_ATTRIBUTE", "INVALID_ATTRIBUTE_VALUE", "INVALID_JOB_ARGUMENT", "INVALID_JOB_DEFINITION_ID", "INVALID_PARAMETER", "INVALID_REQUEST", "MAXIMUM_ATTRIBUTE_COUNT_EXCEEDED", "MAXIMUM_SIZE_EXCEEDED", "MISSING_JOB_ARGUMENT", "MISSING_PARAMETER", "NO_SUCH_ATTRIBUTE", "NO_SUCH_OBJECT", "OBJECT_ALREADY_EXISTS", "OPERATION_DISABLED", "PERMISSION_DENIED", "SOCIAL_USER_MANAGEMENT_ERROR", "SYSTEM_USER_HAS_BILLING_ITEMS", "SYSTEM_USER_HAS_SOCIAL_ROLE", "SYSTEM_USER_IS_INACTIVE", "SYSTEM_USER_IS_OWNER", "UNEXPECTED_ERROR" ], "type": "string" }, "errorMessage": { "type": "string" } } } } } } ````